<?php
	$template = 'userbar.xsl';
	
	$contentXML = new DOMDocument;
	$contentXML -> formatOutput = true;
	$content = $contentXML -> createElement('content');
	$contentXML -> appendChild($content);
	$userbar = $contentXML -> createElement('userbar');
	$content -> appendChild($userbar);	
	$userbar -> appendChild($contentXML -> createElement('site_name', $SiteName));	
	$content -> appendChild($contentXML -> createElement('script', '1'));

	$fonts = $contentXML -> createElement('fonts');
	$userbar -> appendChild($fonts);
	foreach(glob('templates/userbar/fonts/*.ttf') as $file)
	{
		$font = $contentXML -> createElement('font', basename($file,'.ttf'));
		$fonts -> appendChild($font);
	}
	
	$backgrounds = $contentXML -> createElement('backgrounds');
	$userbar -> appendChild($backgrounds);
	foreach(glob('templates/userbar/backgrounds/*.png') as $file)
	{
		$backgrounds -> appendChild($contentXML -> createElement('background',  basename($file,'.png')));
	}

	$animations = $contentXML -> createElement('animations');
	$userbar -> appendChild($animations);
	$anim = array('none', 'shift_top', 'rotate1', 'rotate2', 'typewriter', 'random_filling');
	foreach($anim as $key => $value)
	{
		$animation = $contentXML -> createElement('animation');
		$animation -> appendChild($contentXML -> createElement('id', $key));
		$animation -> appendChild($contentXML -> createElement('name', $value));
		$animations -> appendChild($animation);
	}
	
	$query = 'SELECT id, name FROM '.$PrefixTable.'hubs';
	$res = @mysql_query($query) or die(mysql_error());
	$hubs = $contentXML -> createElement('hubs');
	$userbar -> appendChild($hubs);
	while($row = mysql_fetch_assoc($res))
	{
		$hub = $contentXML -> createElement('hub');
		foreach($row as $key => $value)
			$hub -> appendChild($contentXML -> createElement($key, $value));	
		$hubs -> appendChild($hub);
	}
	
?>