<?php
	$contentXML = new DOMDocument;
	$content = $contentXML -> createElement('content');
	$contentXML -> appendChild($content);

	if(isset($_GET['new']))
	{
		unset($_SESSION['online']);
		unset($_SESSION['nick']);
		unset($_SESSION['ip']);
		unset($_SESSION['client']);
		unset($_SESSION['profile']);
	}	
	
	$sort_order = array('nick','ip',  'profile', 'share_size', 'online_time ', 'client', 'hubs', 'slots');
	$sort_direction = array('ASC', 'DESC');
	$sort_o = (isset($_SESSION['sort_o']) ? $_SESSION['sort_o'] : 3);
	$sort_d = (isset($_SESSION['sort_d']) ? $_SESSION['sort_d'] : 1);
	if(isset($_GET['sort_o']))
	{
		$sort_o = abs((int)$_GET['sort_o']);
		if($sort_o > (count($sort_order)-1))
			$sort_o = 3;
		$_SESSION['sort_o'] = $sort_o;
			
		if (isset($_SESSION['sort_d']))
		{
			$_SESSION['sort_d'] = $_SESSION['sort_d'] ? 0 : 1;
			$sort_d = $_SESSION['sort_d'];
		}
		else
		{
			$_SESSION['sort_d'] = 1;
			$sort_d = $_SESSION['sort_d'];			
		}
	}

	$order = ' ORDER BY '.$sort_order[$sort_o].' '.$sort_direction[$sort_d];
	
	$where = '';
	$title = $lang -> getElementsByTagName('title_users')-> item(0) -> nodeValue;

	if(isset($_POST['online']) || isset($_GET['online']))
	{
		$_SESSION['online'] = true;
	}
	if(isset($_POST['nick']))
	{
		$_SESSION['nick'] = $_POST['nick'];
	}
	if(isset($_POST['ip']))
	{
		$_SESSION['ip'] = $_POST['ip'];
	}
	if(isset($_POST['client']))
	{
		$_SESSION['client'] = $_POST['client'];
	}	
	if(isset($_POST['profile']))
	{
		$_SESSION['profile'] = $_POST['profile'];
	}
	if(isset($_SESSION['online']) && $_SESSION['online'])
	{
		$where .= " AND disconnect_time < login_time";
		$title .= $lang -> getElementsByTagName('with_online')-> item(0) -> nodeValue;
	}
	if(isset($_SESSION['nick']) && $_SESSION['nick'] != '')
	{
		if (get_magic_quotes_gpc())
			$where .= " AND nick LIKE '%".$_SESSION['nick']."%'";
		else
			$where .= " AND nick LIKE '%".addslashes($_SESSION['nick'])."%'";
		$title .= $lang -> getElementsByTagName('with_nick')-> item(0) -> nodeValue;
	}
	if(isset($_SESSION['ip']) && $_SESSION['ip'] != '')
	{
		if (get_magic_quotes_gpc())
			$where .= " AND ip LIKE '%".$_SESSION['ip']."%'";
		else
			$where .= " AND ip LIKE '%".addslashes($_SESSION['ip'])."%'";
		$title .= $lang -> getElementsByTagName('with_ip')-> item(0) -> nodeValue;
	}
	if(isset($_SESSION['client']) && $_SESSION['client'] != '')
	{
		if (get_magic_quotes_gpc())
			$where .= " AND client LIKE '%".$_SESSION['client']."%'";
		else
			$where .= " AND client LIKE '%".addslashes($_SESSION['client'])."%'";
		$title .= $lang -> getElementsByTagName('with_client')-> item(0) -> nodeValue;
	}	
	if(isset($_SESSION['profile']) && $_SESSION['profile'] != '')
	{
		$where .= ' AND profile = '.(int)$_SESSION['profile'];
		$title .= $lang -> getElementsByTagName('with_profile')-> item(0) -> nodeValue;
	}
	
	$query = 'SELECT COUNT(*) FROM '.$PrefixTable.'users WHERE 1';
	$query .= $where.$order;
	$res = @mysql_query($query) or die(mysql_error());
	$total = mysql_result($res,0);
	mysql_free_result($res);
	if(!$total)
	{
			$template = 'error.xsl';
			$content -> appendChild($contentXML -> createElement('error', $lang -> GetElementsByTagName('error_no_find') -> item(0) -> nodeValue));
	}
	else
	{
		$template = 'users.xsl';
		
		$users = $contentXML -> createElement('users');
		$content -> appendChild($users);
		$content -> appendChild($contentXML -> createElement('title', $title));		

		$query = 'SELECT profile_number, profile_name  FROM '.$PrefixTable.'profiles ORDER BY profile_number';
		$res = @mysql_query($query) or die(mysql_error());
		while($row=mysql_fetch_array($res))
		{
			$profiles[$row['profile_number']] = $row['profile_name'];
		}
		mysql_free_result($res);

		$pages_total = intval(($total - 1) / $UsersOnPage) + 1;
		$show_page = isset($_GET['page']) ? abs((int)$_GET['page']) : 1;
		if ($show_page > $pages_total)
			$show_page = $pages_total;
		$start = ($show_page-1) * $UsersOnPage;	
		$limit = ' LIMIT '.$start.', '.$UsersOnPage;
		
		$query = 'SELECT nick, ip, profile, share_size, client, hubs, slots, online_time, login_time, disconnect_time  FROM '.$PrefixTable.'users WHERE 1';
		$query .= $where.$order.$limit;
		$res = @mysql_query($query) or die(mysql_error());

		while($row=mysql_fetch_assoc($res))
		{
			$user = $contentXML -> createElement('user');
			$row['share_size'] = GetNormalShare($bytes_lang, $row['share_size']);
			$row['online_time'] = GetNormalTime($time_lang, $row['online_time']);
			$row['url'] = $row['nick'];
			$row['nick'] = iconv('CP1251','UTF-8',$row['nick']);
			$row['profile'] = $profiles[$row['profile']];
			if($row['disconnect_time'] < $row['login_time'])
				$user -> setAttribute('online', 1);
			unset($row['disconnect_time']);
			unset($row['login_time']);
			foreach($row as $key => $value)
				$user -> appendChild($contentXML -> createElement($key, $value));	
			$users -> appendChild($user);
		}

		if ($pages_total > 1)
		{
			$start_page = $show_page - $PagesForNavigation;
			if ($start_page < 2)
				$start_page = 2;
			$end_page = $show_page + $PagesForNavigation;
			if ($end_page >= $pages_total)
				$end_page = $pages_total - 1;

			$pages = $content -> appendChild($contentXML -> createElement('pages'));
			
			$page = $pages -> appendChild($contentXML -> createElement('page'));
			if ($show_page == 1)
					$page -> setAttribute('current', 1);
			$page -> appendChild($contentXML->createElement('href', '1'));
			$page -> appendChild($contentXML->createElement('data', '1'));
			
			if ($start_page > 2)
			{
				$page = $pages->appendChild($contentXML -> createElement('page'));
				$page -> appendChild($contentXML -> createElement('href', $show_page-1));
				$page -> appendChild($contentXML -> createElement('data', '...'));
			}
			
			for ($i = $start_page; $i <= $end_page; $i++)
			{
				$page = $pages -> appendChild($contentXML -> createElement('page'));
				if ($i == $show_page)
					$page -> setAttribute('current', 1);
				$page -> appendChild($contentXML->createElement('href', $i));
				$page -> appendChild($contentXML->createElement('data', $i));
			}
			
			if ($end_page < $pages_total - 1)
			{
				$page = $pages -> appendChild($contentXML -> createElement('page'));
				$page -> appendChild($contentXML -> createElement('href', $show_page+1));
				$page -> appendChild($contentXML -> createElement('data', '...'));
			}
			
			$page = $pages -> appendChild($contentXML -> createElement('page'));
			if ($show_page == $pages_total)
					$page -> setAttribute('current', 1);
			$page -> appendChild($contentXML -> createElement('href', $pages_total));
			$page -> appendChild($contentXML -> createElement('data', $pages_total));
		}		
	}
?>