<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output
	method="xml"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
		<table>
			<tr>
				<th colspan="2">
					<xsl:value-of select="/root/lang/user/title_user" />
					<xsl:value-of select="/root/content/user/nick" />
				</th>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/nick" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/nick" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/ip" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/ip" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/description" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/description" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/profile" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/profile" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/email" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/email" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/share_size" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/share_size" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/login_time" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/login_time" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/disconnect_time" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/disconnect_time" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/online_time" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/online_time" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/hubs" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/hubs" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/slots" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/slots" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/client" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/client" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/client_version" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/client_version" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/user/tag" />
				</td>
				<td>
					<xsl:value-of select="/root/content/user/tag" />
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>