<?php
class Client
{
	private $Error;
	private $Socket;
	private	$Addr;
	private $Port;
	private $Name;
	private $Type;
	private $Users = 0;
	private $Share = 0;
	private $User = array('nick' => 'HubList', 'pass' => 'mygoodpass', 'share' => '293892774133',
						  'description' => 'Bot for hublist', 'client' => 'gl++', 'client_version' => '5.90',
						  'mode' => 'A', 'hubs' => '2/4/0', 'slots' => '10',
						  'email' => 'bot@bot.bot');

	function lock2key($Lock)
	{	
	  $lockLength = strlen($Lock);
	  $h = ord($Lock{0}) ^ ord( $Lock{ $lockLength - 1} ) ^ ord( $Lock{ $lockLength - 2} ) ^ 5;
	  while($h > 255)
	  {
		$h = $h - 256;
	  }

	  $h = (($h<<4) & 240) | (($h>>4) & 15);
	  $a = $h;

	  if($a == '126' or
		$a == '124' or
		$a == '96' or
		$a == '36' or
		$a == '5' or
		$a == '0')
	  {
		$LockToKey = "/%DCN";
				
		if($a < 100) $LockToKey .="0";
		if($a < 10) $LockToKey .="0";
				
		$LockToKey .= $a;
		$LockToKey .= "%/";
	  }
	  else
	  {
		$LockToKey = chr ($a);
	  }

	  for ($j = 1; $j < strlen($Lock); $j++)
	  {
		$h = ord($Lock{$j}) ^ ord($Lock{$j-1});

		while($h > 255)
		{
		  $h = $h - 256;
		}

		$h = (($h<<4) & 240) | (($h>>4) & 15);
		$a = $h;

		if($a == '126' or
		  $a == '124' or
		  $a == '96' or
		  $a == '36' or
		  $a == '5' or
		  $a == '0')
		{
		  $LockToKey .= "/%DCN";

		  if ($a < 100) $LockToKey .="0";
		  if ($a < 10) $LockToKey .="0";

		  $LockToKey .= $a;
		  $LockToKey .= "%/";
		}
		else
		{
		  $LockToKey .= chr ($a);
		}
	  }
	  return $LockToKey;
	}
	function GetNormalShare($share)
	{
		$icp = 0;
		$post = array('','','','');
		while (floor($share) >= 1024)
		{
			$icp++;
			$share = $share / 1024;
		}
		return round($share,2).' '.$post[$icp];
	}
	function GetError()
	{
		return $this -> Error;
	}
	function GetType()
	{
		return $this -> Type;
	}
	function GetName()
	{
		return $this -> Name;
	}	
	function GetShare()
	{
		return $this -> Share;
	}
	function GetUsersCount()
	{
		return $this -> Users;
	}
	function GetAddr()
	{
		return $this -> Addr;
	}
	function SetAddr($Addr)
	{
		$this -> Addr = $Addr;
		$this -> Name = '';
	}
	function SetPort($Port)
	{
		$this -> Port = $Port;
		$this -> Name = '';
	}
	function SetUserNick($Nick)
	{
		$this -> User['nick'] = $Nick;
	}
	function SetUserPass($Pass)
	{
		$this -> User['pass'] = $Pass;
	}	
	function SetUserShare($Share)
	{
		$this -> User['share'] = $Share;
	}
	function SetUserData($Nick, $Share)
	{
		$this -> User['nick'] = $Nick;
		$this -> User['share'] = $Share;
	}
	function bytes_left()
	{
		$status = socket_get_status($this -> Socket);
		$bytes = $status["unread_bytes"];
		return $bytes;   
	}
	function Connect()
	{
		$this -> Users = 0;
		$this -> Share = 0;
		$this -> Socket = @fsockopen ($this -> Addr, $this -> Port);
		if(!$this -> Socket)
		{
			$this -> Error = 'Error fsockopen';
			return false;
		}
		$Nado = true;
		do
		{
			$recv = false;
			$str = fread($this -> Socket, 32);
			while($this -> bytes_left())
			{
				if ($this -> bytes_left() > 1024)
					$bytes = 1024;
				else
					$bytes = $this -> bytes_left();
				$out = fread($this -> Socket, $bytes);
				$str .= $out;
			}
			$str2 = explode('|', $str);
			foreach($str2 as $cur)
			{
				if(strstr($cur, '$Lock'))
				{
					if(strstr($cur, 'verlihub'))
						$this -> Type = 'Verlihub';
					if(strstr($cur, 'PtokaX'))
						$this -> Type = 'PtokaX';
					if(strstr($cur, 'YnHub'))
						$this -> Type = 'YnHub';
					if(strstr($cur, 'HeXHub'))
						$this -> Type = 'HeXHub';
					$cur2 = explode(' ', $cur);	
					$Key = $this -> lock2key($cur2[1]);
					$result = fwrite($this -> Socket, '$Supports UserCommand NoGetINFO NoHello UserIP2 TTHSearch|$Key '.$Key.'|$ValidateNick '.$this -> User['nick'].'|');
					if(!$result)
					{
						$this -> Error = 'Error socket fwrite';
						return false;
					}
					$recv = true;
				}
				if(strstr($cur,'$HubName'))
				{
					if($this -> Type == 'HeXHub' || $this -> Type == 'YnHub')
						$this -> Name = substr($cur, strpos($cur, '$HubName')+8);
					else
						$this -> Name = substr($cur, strpos($cur, '$HubName')+8, strpos($cur, ' -')-8);
					$recv = true;
				}
				if(strstr($cur, '$GetPass'))
				{
					$result = fwrite($this -> Socket, '$MyPass '.$this -> User['pass'].'|');
					if(!$result)
					{
						$this -> Error = 'Error socket fwrite';
						return false;
					}
					$recv = true;
				}
				if(strstr($cur, '$BadPass'))
				{
					$this -> Error = 'Bad pass';
					return false;
				}
				if(strstr($cur, '$Hello'))
				{
					$buf = '$Version 1,0091|$GetNickList|'.
					'$MyINFO $ALL '.$this -> User['nick'].' '.$this -> User['description'].
					'<'.$this -> User['client'].' V:'.$this -> User['client_version'].
					',M:'.$this -> User['mode'].',H:'.$this -> User['hubs'].',S:'.$this -> User['slots'].'>$'.
					' $1#$'.$this -> User['email'].'$'.$this -> User['share'].'$|';
					$result = fwrite($this -> Socket, $buf);
					if(!$result)
					{
						$this -> Error = 'Error socket fwrite';
						return false;
					}
					$recv = true;
				}
				if(strstr($cur, '$MyINFO'))
				{
					$cur2 = explode('$', strstr($cur,'$MyINFO $ALL'));
					if(count($cur2) >= 7)
						$this -> Share +=$cur2[6];
					$this -> Users++;
					$recv = true;
					$Nado = false;
				}
			}
		}	
		while($recv || $Nado);
		$this -> Share /= (1024 * 1024);
		return true;		

	}
	function __construct($Addr = '127.0.0.1', $Port = 411)
	{
		$this -> Addr = $Addr;
		$this -> Port = $Port;
	}
}
/*
Verli - Reg
Hub:	[Incoming][192.168.200.251:411]	 	$Lock EXTENDEDPROTOCOL_verlihub Pk=version0.9.8c
Hub:	[Outgoing][192.168.200.251:411]	 	$Supports UserCommand NoGetINFO NoHello UserIP2 TTHSearch ZPipe0 GetZBlock |
Hub:	[Outgoing][192.168.200.251:411]	 	$Key uA ?011qPq|
Hub:	[Outgoing][192.168.200.251:411]	 	$ValidateNick PomanoBS|
Hub:	[Incoming][192.168.200.251:411]	 	<-watcher-> This Hub is running version 0.9.8cDC (Sun Sep  4 21:30:01 CEST 2005) of VerliHub (RunTime:36weeks 3days ).
Hub:	[Incoming][192.168.200.251:411]	 	<-watcher-> This hub is enhanced by plugman for Verlihub.
Hub:	[Incoming][192.168.200.251:411]	 	$Supports OpPlus NoGetINFO NoHello UserIP2
Hub:	[Incoming][192.168.200.251:411]	 	$HubName CiNet DC Hub     -     ,    
Hub:	[Incoming][192.168.200.251:411]	 	$GetPass
Hub:	[Outgoing][192.168.200.251:411]	 	$MyPass vjybnjh|
Hub:	[Incoming][192.168.200.251:411]	 	$Hello PomanoBS
Hub:	[Outgoing][192.168.200.251:411]	 	$Version 1,0091|
Hub:	[Outgoing][192.168.200.251:411]	 	$GetNickList|
Verli - NoReg
Hub:	[Incoming][192.168.200.251:411]	 	$Lock EXTENDEDPROTOCOL_verlihub Pk=version0.9.8c
Hub:	[Outgoing][192.168.200.251:411]	 	$Supports UserCommand NoGetINFO NoHello UserIP2 TTHSearch ZPipe0 GetZBlock |
Hub:	[Outgoing][192.168.200.251:411]	 	$Key uA ?011qPq|
Hub:	[Outgoing][192.168.200.251:411]	 	$ValidateNick PomanoBS123|
Hub:	[Incoming][192.168.200.251:411]	 	<-watcher-> This Hub is running version 0.9.8cDC (Sun Sep  4 21:30:01 CEST 2005) of VerliHub (RunTime:36weeks 3days ).
Hub:	[Incoming][192.168.200.251:411]	 	<-watcher-> This hub is enhanced by plugman for Verlihub.
Hub:	[Incoming][192.168.200.251:411]	 	$Supports OpPlus NoGetINFO NoHello UserIP2
Hub:	[Incoming][192.168.200.251:411]	 	$HubName CiNet DC Hub     -     ,    
Hub:	[Incoming][192.168.200.251:411]	 	$Hello PomanoBS123
Hub:	[Outgoing][192.168.200.251:411]	 	$Version 1,0091|
Hub:	[Outgoing][192.168.200.251:411]	 	$GetNickList|


PtokaX
Hub:	[Incoming][79.174.78.92:411]	 	$Lock EXTENDEDPROTOCOL2^=A:s`5KU=a0dFOf>ytV5Zxpe^nix Pk=PtokaX
Hub:	[Outgoing][79.174.78.92:411]	 	$Supports UserCommand NoGetINFO NoHello UserIP2 TTHSearch ZPipe0 GetZBlock |
Hub:	[Outgoing][79.174.78.92:411]	 	$Key A ?06?1UE"t"6"Qp|
Hub:	[Outgoing][79.174.78.92:411]	 	$ValidateNick PomanoBS|
Hub:	[Incoming][79.174.78.92:411]	 	$Supports NoHello
Hub:	[Incoming][79.174.78.92:411]	 	$GetPass
Hub:	[Outgoing][79.174.78.92:411]	 	$MyPass vjybnjh|
Hub:	[Incoming][79.174.78.92:411]	 	$Hello PomanoBS
Hub:	[Outgoing][79.174.78.92:411]	 	$Version 1,0091|
Hub:	[Outgoing][79.174.78.92:411]	 	$GetNickList|
Hub:	[Outgoing][79.174.78.92:411]	 	$MyINFO $ALL PomanoBS [5]<gl++ V:5.92,M:P,H:0/1/0,S:5>$ $1#$romanov-89@inbox.ru$29033664036$|
Hub:	[Incoming][79.174.78.92:411]	 	$HubName myDC'sHuB -    
Hub:	[Incoming][79.174.78.92:411]	 	<:-D>      PtokaX DC Hub 0.4.1.1 ( : 11 , 4 , 42  / : 29)
Hub:	[Incoming][79.174.78.92:411]	 	$ZOn
Hub:	[Incoming][79.174.78.92:411]	 	$MyINFO $ALL :-D   $ $$forum@mydc.ru$$

*/
?>