<?php
include "GIFEncoder.class.php";
class Userbar
{
	private $FirstLegend = array
	(
		'text' => 'Test text',
		'font' => 'agency',
		'size' => 12,
		'angle' => 0,
		'color' => array('R' => 128, 'G' => 128, 'B' => 128),
		'x' => 10,
		'y' => 16
	);
	private $SecondLegend = array
	(
		'text' => 'Test text',
		'font' => 'agency',
		'size' => 12,
		'angle' => 0,
		'color' => array('R' => 128, 'G' => 128, 'B' => 128),
		'x' => 220,
		'y' => 16
	);
	private $Background = 'black';
	private $Anim = 0;
	private $AnimSpeed = 0;
	private $HubId = 1;
	private $Users = 0;
	private $Share = 0;

	private function GetNormalShare($share)
	{
		$i = 0;
		$post = array("Mb","Gb","Tb","Pb");
		while (floor($share) > 1024)
		{
			$i++;
			$share = $share / 1024;
		}
		return round($share,2).' '.$post[$i];
	}
	public function Connect($HostDB, $UserDB, $PassDB, $NameDB, $PrefixTable)
	{
		mysql_connect($HostDB,$UserDB,$PassDB) or die('Error connect to db');
		mysql_select_db($NameDB) or die(mysql_error());
		$query = 'SELECT users, share, online FROM '.$PrefixTable.'hubs WHERE id='.$this -> HubId;
		$res = mysql_query($query) or die(mysql_error());
		$number = mysql_num_rows($res);
		if ($number == 0)
		{
			$this -> Users = 'Error';
			$this -> Share = 'Error';
			return;
		}
		$row=mysql_fetch_array($res);
		if($row['online'] == 0)
		{
			$this -> Users = 'Offline';
			$this -> Share = 'Offline';
			return;
		}
		$this -> Users = $row['users'];
		$this -> Share = $this -> GetNormalShare($row['share']);
		return;
	}
	public function Draw()
	{
		$bg = "../templates/userbar/backgrounds/".(file_exists("../templates/userbar/backgrounds/".$this -> Background.".png") ? $this -> Background : "black").".png";
		$FirstLegendFont = "../templates/userbar/fonts/".(file_exists("../templates/userbar/fonts/".$this -> FirstLegend['font'].".ttf") ? $this -> FirstLegend['font'] : "agency").".ttf";
		$SecondLegendFont = "../templates/userbar/fonts/".(file_exists("../templates/userbar/fonts/".$this -> SecondLegend['font'].".ttf") ? $this -> SecondLegend['font'] : "agency").".ttf";
		if($this -> Anim == 0)
		{
			$image = imageCreateFromPng($bg);
			$colorFirstLegend = imageColorAllocate($image, $this -> FirstLegend['color']['R'], $this -> FirstLegend['color']['G'], $this -> FirstLegend['color']['B']);
			$colorSecondLegend = imageColorAllocate($image, $this -> SecondLegend['color']['R'], $this -> SecondLegend['color']['G'], $this -> SecondLegend['color']['B']);
			if(strstr($this -> Users, 'Error') || strstr($this -> Users, 'Offline'))
				imageTTFText($image, $this -> FirstLegend['size'], $this -> FirstLegend['angle'], $this -> FirstLegend['x'], $this -> FirstLegend['y'], $colorFirstLegend,  $FirstLegendFont, $this -> Users);
			else
			{
				imageTTFText($image, $this -> FirstLegend['size'], $this -> FirstLegend['angle'], $this -> FirstLegend['x'], $this -> FirstLegend['y'], $colorFirstLegend,  $FirstLegendFont,  $this -> FirstLegend['text']);
				imageTTFText($image, $this -> SecondLegend['size'], $this -> SecondLegend['angle'], $this -> SecondLegend['x'], $this -> SecondLegend['y'], $colorSecondLegend,  $SecondLegendFont,  $this -> SecondLegend['text']);
			}
			Header("Content-type: image/png");
			imagePng($image);
			imageDestroy($image);
			return;
		}
		else
		{
			error_reporting(E_ERROR);
			switch($this -> Anim)
			{
				case 1:
					$from = 0;
					$to = $this -> FirstLegend['size']+20;
					$step = 1;
					$type = 'y';
					$delta = create_function('$i', 'return $i;');
					break;
				case 2:
					$from = 180;
					$to = -180;
					$step = -10;
					$type = 'a';
					$delta = create_function('$i', 'return $i;');
					break;
				case 3:
					$from = -180;
					$to = 180;
					$step = 10;
					$type = 'a';
					$delta = create_function('$i', 'return $i;');
					break;
				case 4:
					$from = 0;
					$to = strlen($this -> FirstLegend['text'])+1;
					$step = 1;
					$type = 't';
					$delta = create_function('$str, $i', 'return substr($str, 0, $i);');
					break;
				case 5:
					$from = 0;
					$to = strlen($this -> FirstLegend['text']);
					$step = 1;
					$type = 't';
					$delta = create_function('$str, $i', '
						$str2 = array_fill(0, strlen($str), " ");
						$keys = array();
						for($k = 0; $k <= $i; $k++)
						{
							do
							{
								$h = rand(0, strlen($str)-1);
							}while(in_array($h, $keys));
							$str2[$h] = $str[$h];
							$keys[]=$h;
						}
						return implode("",$str2);
					');
					break;
				default:
					$from = 0;
					$to = $this -> FirstLegend['size']+20;
					$step = 1;
					$type = 'y';
					$delta = create_function('$i', 'return $i;');
					break;
			}
			for($i = $from; $i != $to; $i += $step)
			{
				$image = imageCreateFromPng($bg);
				$colorFirstLegend = imageColorAllocate($image, $this -> FirstLegend['color']['R'], $this -> FirstLegend['color']['G'], $this -> FirstLegend['color']['B']);
				$colorSecondLegend = imageColorAllocate($image, $this -> SecondLegend['color']['R'], $this -> SecondLegend['color']['G'], $this -> SecondLegend['color']['B']);
				switch($type)
				{
					case 'y':
						$j = (int)$delta($i);
						if($j == $this -> SecondLegend['y'])
							$framed[] = 220;
						else
							$framed[] = $this -> AnimSpeed;
						imageTTFText($image, $this -> FirstLegend['size'], $this -> FirstLegend['angle'], $this -> FirstLegend['x'], $j, $colorFirstLegend, $FirstLegendFont, $this -> FirstLegend['text']);
						break;
					case 'a':
						$j = (int)$delta($i);
						if($j == 0)
							$framed[] = 220;
						else
							$framed[] = $this -> AnimSpeed;
						imageTTFText($image, $this -> FirstLegend['size'], $j, $this -> FirstLegend['x'], $this -> FirstLegend['y'], $colorFirstLegend, $FirstLegendFont, $this -> FirstLegend['text']);
						break;
					case 't':
						$j = $delta($this -> FirstLegend['text'], $i);
						if($j == $this -> FirstLegend['text'])
							$framed[] = 220;
						else
							$framed[] = $this -> AnimSpeed;
						imageTTFText($image, $this -> FirstLegend['size'], $this -> FirstLegend['angle'], $this -> FirstLegend['x'], $this -> FirstLegend['y'], $colorFirstLegend, $FirstLegendFont, $j);
						break;
				}
				
				imageTTFText($image, $this -> SecondLegend['size'], $this -> SecondLegend['angle'], $this -> SecondLegend['x'], $this -> SecondLegend['y'], $colorSecondLegend,  $SecondLegendFont,  $this -> SecondLegend['text']);
				ob_start();
				imageGif($image);
				$frames[] = ob_get_contents();
				imageDestroy($image);
				ob_end_clean();
				
			}
			
			$gif = new GIFEncoder(
								  $frames,
								  $framed,
								  0,
								  2,
								  0, 0, 0,
								  "bin"
			);
			header('Content-type: image/gif');
			echo $gif->GetAnimation ();
			
		}
	}
	//	First Legend
	public function SetFirstLegendText($text)
	{
		$inf = array($this -> Users, $this -> Share, '/', '_', '.', ':', '#');
		$search = array('[a]','[z]','[s]','[p]', '[d]', '[c]', '[g]');
		$text = str_replace($search, $inf, UrlDecode($text));
		$this -> FirstLegend['text'] = $text;
	}
	public function SetFirstLegendFont($font)
	{
		$this -> FirstLegend['font'] = str_replace('[p]', '_', $font);
	}
	public function SetFirstLegendSize($size)
	{
		$this -> FirstLegend['size'] = $size;
	}
	public function SetFirstLegendAngle($an)
	{
		$this -> FirstLegend['angle'] = $an;
	}
	public function SetFirstLegendColor($color)
	{
		list
		(
			$this -> FirstLegend['color']['R'],
			$this -> FirstLegend['color']['G'],
			$this -> FirstLegend['color']['B']
		) = array_map('hexdec', str_split($color, 2));
	}
	public function SetFirstLegendX($x)
	{
		$this -> FirstLegend['x'] = $x;
	}
	public function SetFirstLegendY($y)
	{
		$this -> FirstLegend['y'] = $y;
	}
	//	Second Legend
	public function SetSecondLegendText($text)
	{
		$inf = array($this -> Users, $this -> Share, '/', '_', '.', ':', '#');
		$search = array('[a]','[z]','[s]','[p]', '[d]', '[c]', '[g]');
		$text = str_replace($search, $inf, UrlDecode($text));
		$this -> SecondLegend['text'] = $text;
	}
	public function SetSecondLegendFont($font)
	{
		$this -> SecondLegend['font'] = str_replace('[p]', '_', $font);
	}
	public function SetSecondLegendSize($size)
	{
		$this -> SecondLegend['size'] = $size;
	}
	public function SetSecondLegendAngle($an)
	{
		$this -> SecondLegend['angle'] = $an;
	}
	public function SetSecondLegendColor($color)
	{
		list
		(
			$this -> SecondLegend['color']['R'],
			$this -> SecondLegend['color']['G'],
			$this -> SecondLegend['color']['B']
		) = array_map('hexdec', str_split($color, 2));
	}
	public function SetSecondLegendX($x)
	{
		$this -> SecondLegend['x'] = $x;
	}
	public function SetSecondLegendY($y)
	{
		$this -> SecondLegend['y'] = $y;
	}
	//	Other
	public function SetBackground($bg)
	{
		$this -> Background = str_replace('[p]', '_', $bg);
	}
	public function SetAnim($anim)
	{
		$this -> Anim = $anim;
	}
	public function SetAnimSpeed($a)
	{
		$this -> AnimSpeed = $a;
	}
	public function SetHub($id)
	{
		$this -> HubId = $id;
	}
}
?>