<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:php="http://php.net/xsl"
				xsl:extension-element-prefixes="php"
				version="1.0">
	<xsl:import />
	<xsl:output
	method="xml"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
				<title>
					<xsl:value-of select="/root/lang/main/title" />
				</title>
				<link rel="stylesheet" href="templates/style.css" type="text/css" />
				<script type="text/javascript" src="templates/userbar/jquery-1.3.2.min.js"></script>
				<xsl:if test="/root/content/script='1'">
					<link rel="stylesheet" type="text/css" href="templates/userbar/colorpicker.css" />
					<script type="text/javascript" src="templates/userbar/userbar.js"></script>
					<script type="text/javascript" src="templates/userbar/colorpicker.js"></script>
				</xsl:if>
			</head>
			<body>
				<div align="center">
					<xsl:text>[</xsl:text>
					<a href="http://www.klan-hub.ru">
						<xsl:value-of select="/root/lang/main/main" />
					</a>
					<xsl:text>] [</xsl:text>
					<a href="index.php?action=stat">
						<xsl:value-of select="/root/lang/main/stat" />
					</a>
					<xsl:text>] [</xsl:text>
					<a href="index.php?action=users&amp;new">
						<xsl:value-of select="/root/lang/main/users" />
					</a>
					<xsl:text>] [</xsl:text>
					<a href="index.php?action=graph">
						<xsl:value-of select="/root/lang/main/graph" />
					</a>
					<xsl:text>] [</xsl:text>
					<a href="index.php?action=hubs&amp;new">
						<xsl:value-of select="/root/lang/main/hubs" />
					</a>
					<xsl:text>] [</xsl:text>
					<a href="index.php?action=userbar">
						<xsl:value-of select="/root/lang/main/userbar" />
					</a>
					<xsl:text>] [</xsl:text>
					<a href="index.php?action=search">
						<xsl:value-of select="/root/lang/main/search" />
					</a>
					<xsl:text>]</xsl:text>
				</div>
				<hr />
				<div id="content" align="center">
					<xsl:apply-imports />
				</div>
				<hr />
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>	